#ifndef IJ_H
#define IJ_H

class ij {
 private:
  int vi;
  int vj;

 public:
  ij(const int& i=0, const int& j=0) : vi(i), vj(j) {}
  ij(const ij& p) { vi = p.vi; vj = p.vj; }
  ~ij() {}
  void setI(const int& i) { vi = i;}
  void setJ(const int& j) { vj = j;}
  void setIJ(const int& i, const int& j) { vi = i; vj = j;}
  int getI() const { return vi;}
  int getJ() const { return vj;}
  bool operator==(const ij& p) const { return (vi==p.vi)&&(vj==p.vj); }
  bool operator!=(const ij& p) const { return (vi!=p.vi)||(vj!=p.vj); }
  bool operator>(const ij& p) const { 
    return (vi>p.vi)||((vi==p.vi)&&(vj>p.vj));
  }
  bool operator<(const ij& p) const {
    return (vi<p.vi)||((vi==p.vi)&&(vj<p.vj));
  }
};

#endif
